<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: edit_nickpage.php
| Copyright  2009 ptown67
| http://www.ptown67.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."nickpage_panel/infusion_db.php";
include INFUSIONS."nickpage_panel/includes/nickpage_functions.php";

if (file_exists(INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nickpage_panel/locale/German.php";
}

if (!iMEMBER) { redirect("../../index.php"); }

$nickpage = dbquery("SELECT * FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$userdata['user_id']."'");
if (dbrows($nickpage)) { $page_data = dbarray($nickpage); }
else {
$result = dbquery("INSERT INTO ".DB_NICKPAGE." (nickpage_uid, nickpage_title, nickpage_theme, nickpage_content, nickpage_comments, nickpage_update) VALUES ('".$userdata['user_id']."', '".$userdata['user_name']."', 'ptown67', '', '1', '".time()."')");
redirect (FUSION_SELF);
}

opentable($locale['np700']);
echo "<form name='nickpage' method='post' action='".FUSION_SELF."'>";
echo "<table cellpadding='5' cellspacing='1' width='100%' align='center' class='tbl-border'>";

if(isset($_POST['update'])) {
$title = trim(stripinput(censorwords($_POST['title'])));
$content = trim(stripinput(censorwords($_POST['content'])));
$result = dbquery("UPDATE ".DB_NICKPAGE." SET nickpage_title='".$title."', nickpage_theme='".$_POST['theme']."', nickpage_content='".$content."', nickpage_comments='".$_POST['comments']."', nickpage_update='".time()."' WHERE nickpage_uid='".$userdata['user_id']."'");
redirect (FUSION_SELF);
}
if(isset($_GET['action'])) {
  if ($_GET['action'] == "delete") {
  $result = dbquery("DELETE FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$userdata['user_id']."'");
  $result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Z'");
  $result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='NP'");
  redirect("../../index.php");
  }
  if ($_GET['action'] == "resetcounter") {
  $result = dbquery("UPDATE ".DB_NICKPAGE." SET nickpage_count='0' WHERE nickpage_uid='".$userdata['user_id']."'");
  redirect (FUSION_SELF);
  }
  if ($_GET['action'] == "resetcomments") {
  $result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='NP'");
  redirect (FUSION_SELF);
  }
  if ($_GET['action'] == "resetratings") {
  $result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Z'");
  redirect (FUSION_SELF);
  }
}

echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['np701']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<a href='".BASEDIR."nickpage.php?user=".$userdata['user_id']."'>".$settings['siteurl']."nickpage.php?user=".$userdata['user_id']."</a>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np702']."</td>";
echo "<td class='tbl1' align='left'><input type='text' name='title' size='40' class='textbox' value='".$page_data['nickpage_title']."'/>";
echo "</td>";
echo "</tr>";

$themes = makefilelist(INFUSIONS."nickpage_panel/themes/", ".|..", true, "folders");
echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np703']."</td>";
echo "<td width='50%' class='tbl1'><select name='theme' class='textbox'>\n";
echo makefileopts($themes, $page_data['nickpage_theme'])."\n";
echo "</select></td>\n";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' valign='top' style='white-space:nowrap'>".$locale['np704']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<textarea name='content' cols='40' rows='30' class='textbox' style='width: 99%;'>";
echo $page_data['nickpage_content'];
echo "</textarea>";
require_once INCLUDES."bbcode_include.php";
echo display_bbcodes("", "content", "nickpage");
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np705']."</td>";
echo "<td class='tbl1' align='left'>";
$ratings = dbrows(dbquery("SELECT * FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Z'"));
if ($ratings == 1) $rating_ext = $locale['np706']; else $rating_ext = $locale['np707'];
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".totalrating($page_data['nickpage_id'])."</td>";
echo "<td align='right'><strong>".$ratings."</strong> ".$rating_ext;
if ($ratings != 0) {
echo " [<a href='".FUSION_SELF."?action=resetratings' onClick=\"return confirm('".$locale['np708']."')\">".$locale['np709']."</a>]";
}
echo "</td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np710']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".$locale['np711']." <input type='checkbox' name='comments' value='1'";
if ($page_data['nickpage_comments'] != "0") echo "checked";
echo "/></td>";
$comments = dbrows(dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='NP'"));
if ($comments == 1) $comment_ext = $locale['np712']; else $comment_ext = $locale['np713'];
echo "<td align='right'><strong>".$comments."</strong> ".$comment_ext;
if ($comments != 0) {
echo " [<a href='".FUSION_SELF."?action=resetcomments' onClick=\"return confirm('".$locale['np714']."')\">".$locale['np709']."</a>]";
}
echo "</td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np715']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<strong>".$page_data['nickpage_count']."</strong>";
if ($page_data['nickpage_count'] != 0) {
echo " [<a href='".FUSION_SELF."?action=resetcounter' onClick=\"return confirm('".$locale['np716']."')\">".$locale['np717']."</a>]";
}
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np718']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<a href='".FUSION_SELF."?action=delete' onClick=\"return confirm('".$locale['np719']."')\">".$locale['np720']."</a>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' colspan='2' align='right'><input type='submit' name='update' class='button' value='".$locale['np721']."'></td>";
echo "</tr>";

echo "</table>";
echo "</form>";

closetable();

require_once THEMES."templates/footer.php";
?>