<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ratings_include.php
| Author: Philipp Blanke (PhiBla)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| Modified:  2009 ptown67 for Personal Nickpages
| http://www.ptown67.de
+-------------------------------------------------------+
Based on
(Unobtusive) AJAX Rating Bars v 1.2.2
ryan masuga, masugadesign.com
ryan@masugadesign.com 
Licensed under a Creative Commons Attribution 3.0 License.
http://creativecommons.org/licenses/by/3.0/
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

echo "<script type='text/javascript'>var inc='".INFUSIONS."nickpage_panel/includes/';</script>";
echo "<script type='text/javascript' language='javascript' src='".INFUSIONS."nickpage_panel/includes/ratings_include/js/rating.js'></script>";

if (file_exists(INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nickpage_panel/locale/German.php";
}

function showratings($rating_type, $rating_item_id, $rating_link) {

	global $locale, $userdata;

	$rating_link = ""; //Not used
	//set some variables
	$id = $rating_type.'_'.$rating_item_id;
	$ip = $_SERVER['REMOTE_ADDR'];
	$units = 5;
	$static = FALSE;
	$total_value = 0;
	$total_votes = 0;
	$rating_unitwidth = 30;

	// get votes, values, ips for the current rating bar
	$res=dbquery("SELECT * FROM ".DB_RATINGS." WHERE rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."' ");
	while($row = dbarray($res)){
		$total_value += $row['rating_vote'];
		$total_votes++;
	}

	if ($total_votes < 1) {
	$count = 0;
	} else {
		$count=$total_votes; //how many votes total
	}
	$current_rating=$total_value; //total number of rating added together and stored
	$tense=(($count==1) ?  $locale['np301']: $locale['np302']); //plural form votes/vote
	$voted = 1;
	if(iMEMBER){    
	$voted =dbcount("(rating_id)", DB_RATINGS, "rating_user ='".$userdata['user_id']."' AND rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."'");
	}
	// now draw the rating bar
	$rating_width = @number_format($current_rating/$count,2)*$rating_unitwidth;
	$rating1 = @number_format($current_rating/$count,1);
	$rating2 = @number_format($current_rating/$count,2);
	if ($static == 'static') {

		$static_rater = array();
		$static_rater[] .= '\n'.'<center><br /><br />';
		$static_rater[] .= '\n'.'<div class="ratingblock">';
		$static_rater[] .= '<div id="unit_long'.$id.'">';
		$static_rater[] .= '<ul id="unit_ul_'.$id.'" class="unit-rating" style="width:'.$rating_unitwidth*$units.'px;">';
		$static_rater[] .= '<li class="current-rating" style="width:'.$rating_width.'px;">'.$locale["np303"].' '.$rating2.'/'.$units.'</li>';
		$static_rater[] .= '</ul>';
		$static_rater[] .= '<p class="static">'.$locale["np300"].'<strong> '.$rating1.'</strong>/'.$units.' ('.$count.' '.$tense.' cast)</p>';
		$static_rater[] .= '</div>';
		$static_rater[] .= '</center>'."\n\n";

		$return = join("\n", $static_rater);
		echo $return;

	} else {

      
	  $rater ='';
      $rater.='<center><br />';
	  $rater.='<div class="ratingblock">';
      
	  $rater.='<div id="unit_long'.$id.'">';
      $rater.='  <ul id="unit_ul'.$id.'" class="unit-rating" style="width:'.$rating_unitwidth*$units.'px;">';
      $rater.='    <li class="current-rating" style="width:'.$rating_width.'px;">'.$locale["np303"].' '.$rating2.'/'.$units.'</li>';

      for ($ncount = 1; $ncount <= $units; $ncount++) { // loop from 1 to the number of units
           if(!$voted && iMEMBER) { // if the user hasn't yet voted, draw the voting stars
                $rater.='<li><a href="'.INFUSIONS.'nickpage_panel/includes/ratings_include/db.php?j='.$ncount.'&amp;type='.$rating_type.'&amp;item_id='.$rating_item_id.'" title="Deine Bewertung - Bewertung mit '.$ncount.' von '.$units.' mglichen Sternen." class="r'.$ncount.'-unit rater" rel="nofollow">'.$ncount.'</a></li>';
           }
      }
      $ncount=0; // resets the count

      $rater.='  </ul>';
      $rater.='  <br />'.$locale['np305'].' <strong> '.$rating1.'</strong> / '.$units.' ('.$count.' '.$tense.')';
      $rater.='</div>';
	   
	}
	if(!iMEMBER){
		$rater.= "<br />".$locale['np304']."<br />\n";
	}
	$rater.='</div>';
	$rater.='</center>';
	echo $rater;
}
?>