<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: rpc.php
| Author: Philipp Blanke (PhiBla)
| This page handles the 'AJAX' type response if the user
| has Javascript enabled.
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
/*-------------------------------------------------------+
| Based on
| (Unobtusive) AJAX Rating Bars v 1.2.2
| ryan masuga, masugadesign.com
| ryan@masugadesign.com 
| Licensed under a Creative Commons Attribution 3.0 License.
| http://creativecommons.org/licenses/by/3.0/
--------------------------------------------------------- */

include "../../../../maincore.php";

if (file_exists(INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nickpage_panel/locale/German.php";
}

header("Cache-Control: no-cache");
header("Pragma: nocache");


//getting the values
$vote_sent = preg_replace("/[^0-9]/","",$_GET['j']);
$rating_item_id = (is_numeric($_GET['item_id'])? $_GET['item_id']: '');
$rating_type = (strlen($_GET['type'])== 1 ? $_GET['type'] : '');
$user =  $userdata['user_id'];
$units = 5;
$referer  = $_SERVER['HTTP_REFERER'];
$rating_unitwidth = 30;
$total_votes = 0;
$total_value = 0;
$id_sent = $rating_type.'_'.$rating_item_id;

if ($vote_sent > $units) die("Sorry, vote appears to be invalid."); // kill the script because normal users will never see this.

//connecting to the database to get some information
$result=dbquery("SELECT * FROM ".DB_RATINGS." WHERE rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."' ");
while($row=dbarray($result)){
	$total_value += $row['rating_vote'];
	$total_votes++;
}

$count = $total_votes; //how many votes total
$current_rating = $total_value; //total number of rating added together and stored
$sum = $vote_sent+$current_rating; // add together the current vote value and the total vote value

// checking to see if the first vote has been tallied
// or increment the current number of votes
($sum==0 ? $added=0 : $added=$count+1);

// if it is an array i.e. already has entries the push in another value
//((is_array($checkIP)) ? array_push($checkIP,$ip_num) : $checkIP=array($ip_num));
//$insertip=serialize($checkIP);

//Check if user has voted
$voted=dbrows(dbquery("SELECT * FROM ".DB_RATINGS." WHERE rating_user ='".$user."' AND rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."'"));
if(!$voted) {     //if the user hasn't yet voted, then vote normally...

//if (($vote_sent >= 1 && $vote_sent <= $units) && ($ip == $ip_num)) { // keep votes within range
if (($vote_sent >= 1 && $vote_sent <= $units)) { // keep votes within range
	dbquery("INSERT INTO ".DB_RATINGS."(rating_item_id, rating_type, rating_user, rating_vote, rating_datestamp, rating_ip) VALUES ('".$rating_item_id."', '".$rating_type."', '".$user."', '".$vote_sent."', '".time()."', '".USER_IP."')");
} 
} //end for the "if(!$voted)"

// reset values
$total_votes = 0;
$total_value = 0;

// these are new queries to get the new values!
$result=dbquery("SELECT * FROM ".DB_RATINGS." WHERE rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."' ");
while($row=dbarray($result)){
	$total_value += $row['rating_vote'];
	$total_votes++;
}

$count = $total_votes; //how many votes total
$current_rating = $total_value; //total number of rating added together and stored$newtotals = mysql_query("SELECT total_votes, total_value, used_ips FROM $rating_dbname.$rating_tableName WHERE id='$id_sent' ")or die(" Error: ".mysql_error());
$tense=(($count==1) ?  $locale['r101']: $locale['r102']); //plural form votes/vote

	
// $new_back is what gets 'drawn' on your page after a successful 'AJAX/Javascript' vote

$new_back = array();

$new_back[] .= '<ul class="unit-rating" style="width:'.$units*$rating_unitwidth.'px;">';
$new_back[] .= '<li class="current-rating" style="width:'.@number_format($current_rating/$count,2)*$rating_unitwidth.'px;">'.$locale['r103'].'</li>';
$new_back[] .= '<li class="r1-unit">1</li>';
$new_back[] .= '<li class="r2-unit">2</li>';
$new_back[] .= '<li class="r3-unit">3</li>';
$new_back[] .= '<li class="r4-unit">4</li>';
$new_back[] .= '<li class="r5-unit">5</li>';
$new_back[] .= '</ul>';
$new_back[] .= '<p class="voted">'.$locale['r107'].' <strong>'.@number_format($sum/$added,1).'</strong>/'.$units.' ('.$count.' '.$tense.' )';
$new_back[] .= '<br /><span class="thanks">'.$locale['r108'].'</span></p>';

$allnewback = join("\n", $new_back);

// ========================

//name of the div id to be updated | the html that needs to be changed
$output = "unit_long$id_sent|$allnewback";
echo $output;
?>