<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author:  2009 ptown67
| http://www.ptown67.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."nickpage_panel/infusion_db.php";

if (file_exists(INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nickpage_panel/locale/German.php";
}

$inf_title = $locale['np100'];
$inf_description = $locale['np101'];
$inf_version = "1.0";
$inf_developer = "ptown67";
$inf_email = "info@ptown67.de";
$inf_weburl = "http://www.ptown67.de";
$inf_folder = "nickpage_panel";

$inf_newtable[1] = DB_NICKPAGE." (
nickpage_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
nickpage_uid INT(10) UNSIGNED NOT NULL,
nickpage_title varchar(30) NOT NULL,
nickpage_theme varchar(100) NOT NULL,
nickpage_content text NOT NULL,
nickpage_comments INT(1) UNSIGNED NOT NULL,
nickpage_update INT(10) UNSIGNED NOT NULL,
nickpage_count INT(10) UNSIGNED NOT NULL,
PRIMARY KEY (nickpage_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_NICKPAGE;

$inf_adminpanel[1] = array(
	"title" => $locale['np100'],
	"image" => "wl.gif",
	"panel" => "nickpage_admin.php",
	"rights" => "PNP"
);
?>