<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: nickpage_admin.php
| Copyright  2009 ptown67
| http://www.ptown67.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."nickpage_panel/infusion_db.php";
include INFUSIONS."nickpage_panel/includes/nickpage_functions.php";

if (file_exists(INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nickpage_panel/locale/German.php";
}

if (!checkrights("PNP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (isset($_GET['user']) && isnum($_GET['user'])) {

$nickpage = dbquery("SELECT * FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$_GET['user']."'");
if (dbrows($nickpage)) {

$page_data = dbarray($nickpage);
$user = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$page_data['nickpage_uid']."'");
$user_data = dbarray($user);

opentable($locale['np800']." ".$user_data['user_name']);

echo "<form name='nickpage' method='post' action='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."'>";
echo "<table cellpadding='5' cellspacing='1' width='100%' align='center' class='tbl-border'>";

if(isset($_POST['update'])) {
$title = trim(stripinput(censorwords($_POST['title'])));
$content = trim(stripinput(censorwords($_POST['content'])));
$result = dbquery("UPDATE ".DB_NICKPAGE." SET nickpage_title='".$title."', nickpage_theme='".$_POST['theme']."', nickpage_content='".$content."', nickpage_comments='".$_POST['comments']."', nickpage_update='".time()."' WHERE nickpage_uid='".$_GET['user']."'");
redirect (FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']);
}
if(isset($_GET['action'])) {
  if ($_GET['action'] == "delete") {
  $result = dbquery("DELETE FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$user_data['user_id']."'");
  $result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Z'");
  $result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='NP'");
  redirect(FUSION_SELF."?aid=".$_GET['aid']);
}
  if ($_GET['action'] == "resetcounter") {
  $result = dbquery("UPDATE ".DB_NICKPAGE." SET nickpage_count='0' WHERE nickpage_uid='".$user_data['user_id']."'");
  redirect (FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']);
  }
  if ($_GET['action'] == "resetcomments") {
  $result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='NP'");
  redirect (FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']);
  }
  if ($_GET['action'] == "resetratings") {
  $result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Z'");
  redirect (FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']);
  }
}

echo "<tr>";
echo "<td class='tbl1' height='25px' width='1%' style='white-space:nowrap'>".$locale['np801']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<a href='".BASEDIR."nickpage.php?user=".$_GET['user']."'>".$settings['siteurl']."nickpage.php?user=".$_GET['user']."</a>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np802']."</td>";
echo "<td class='tbl1' align='left'><input type='text' name='title' size='40' class='textbox' value='".$page_data['nickpage_title']."'/>";
echo "</td>";
echo "</tr>";

$themes = makefilelist(INFUSIONS."nickpage_panel/themes/", ".|..", true, "folders");
echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np803']."</td>";
echo "<td width='50%' class='tbl1'><select name='theme' class='textbox'>\n";
echo makefileopts($themes, $page_data['nickpage_theme'])."\n";
echo "</select></td>\n";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' valign='top' style='white-space:nowrap'>".$locale['np804']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<textarea name='content' cols='40' rows='30' class='textbox' style='width: 99%;'>";
echo $page_data['nickpage_content'];
echo "</textarea>";
require_once INCLUDES."bbcode_include.php";
echo display_bbcodes("", "content", "nickpage");
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np805']."</td>";
echo "<td class='tbl1' align='left'>";
$ratings = dbrows(dbquery("SELECT * FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Z'"));
if ($ratings == 1) $rating_ext = $locale['np806']; else $rating_ext = $locale['np807'];
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".totalrating($page_data['nickpage_id'])."</td>";
echo "<td align='right'><strong>".$ratings."</strong> ".$rating_ext;
if ($ratings != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetratings' onClick=\"return confirm('".$locale['np808']."')\">".$locale['np809']."</a>]";
}
echo "</td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np810']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".$locale['np811']." <input type='checkbox' name='comments' value='1'";
if ($page_data['nickpage_comments'] != "0") echo "checked";
echo "/></td>";
$comments = dbrows(dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='NP'"));
if ($comments == 1) $comment_ext = $locale['np812']; else $comment_ext = $locale['np813'];
echo "<td align='right'><strong>".$comments."</strong> ".$comment_ext;
if ($comments != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetcomments' onClick=\"return confirm('".$locale['np814']."')\">".$locale['np815']."</a>]";
}
echo "</td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np816']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<strong>".$page_data['nickpage_count']."</strong>";
if ($page_data['nickpage_count'] != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetcounter' onClick=\"return confirm('".$locale['np817']."')\">".$locale['np818']."</a>]";
}
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np819']."</td>";
echo "<td class='tbl1' align='left'>";
echo "<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=delete' onClick=\"return confirm('".$locale['np820']."')\">".$locale['np821']."</a>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' colspan='2' align='right'><input type='submit' name='update' class='button' value='".$locale['np822']."'></td>";
echo "</tr>";

echo "</table>";
echo "</form>";

closetable();
} 
} else {

opentable($locale['np823']);

if (dbrows(dbquery("SELECT * FROM ".DB_NICKPAGE)) == 0) {
echo "<br /><center>".$locale['np824']."</center><br />";
} else {

$search = array(
		"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
		"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
	);
	echo "<table cellpadding='0' cellspacing='1' class='tbl-border center'>\n<tr>\n";
	echo "<td rowspan='2' class='tbl1'><a href='".FUSION_SELF."?aid=".$_GET['aid']."&sortby=all'>".$locale['np825']."</a></td>";
	for ($i = 0; $i < 36 != ""; $i++) {
		echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?aid=".$_GET['aid']."&sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
		echo ($i == 17 ? "<td rowspan='2' class='tbl1'><a href='".FUSION_SELF."?aid=".$_GET['aid']."&sortby=all'>".$locale['np825']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
	echo "</tr>\n</table>\n<hr />\n";

	if (!isset($_GET['sortby']) || !preg_match("/^[0-9A-Z]$/", $_GET['sortby'])) { $_GET['sortby'] = "all"; }
	$orderby = ($_GET['sortby'] == "all" ? "" : " WHERE user_name LIKE '".stripinput($_GET['sortby'])."%'");
	$result = dbquery("SELECT * FROM ".DB_USERS." INNER JOIN ".DB_NICKPAGE." ON user_id = nickpage_uid".$orderby."");
	$rows = dbrows($result);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$i = 0;
		echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
		echo "<td class='tbl1'><strong>".$locale['np826']."</strong></td>\n";
		echo "<td class='tbl1'><strong>".$locale['np827']."</strong></td>\n";
        echo "<td class='tbl1' width='1%' align='center'><strong>".$locale['np828']."</strong></td>\n";
		echo "<td class='tbl1' width='1%'><strong>".$locale['np829']."</strong></td>\n";
		echo "</tr>\n";
		$result2 = dbquery("SELECT * FROM ".DB_USERS." INNER JOIN ".DB_NICKPAGE." ON user_id = nickpage_uid".$orderby." ORDER BY user_level DESC, user_name LIMIT ".$_GET['rowstart'].",20");
		while ($data = dbarray($result2)) {

      $result3 = dbquery("SELECT * FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$data['user_id']."'");
      $nickpage = dbarray($result3);

      if ($nickpage['nickpage_uid'] == $data['user_id']) {
			echo "<tr>\n<td class='tbl1'>\n<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$data['user_id']."'>".$data['user_name']."</a></td>\n";
			echo "<td class='tbl1'>\n";
			if ($nickpage['nickpage_title'] != $data['user_name']) $title = $nickpage['nickpage_title'];
			else $title = "-";
			echo $title;
			echo "</td>\n";
            echo "<td class='tbl1'>".totalrating($nickpage['nickpage_id'])."</td>\n";
			echo "<td class='tbl1' align='center'>".$nickpage['nickpage_count']."</td>\n";
			echo "</tr>";
		}
		}
		echo "</table>\n";
	} else {
		echo "<center><br />\n".$locale['np830']." <strong>".$_GET['sortby']."</strong> ".$locale['np831']."<br /><br />\n</center>\n";
	}
}
closetable();
}
require_once THEMES."templates/footer.php";
?>