<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: nickpage_index.php
| Author:  2009 ptown67
| http://www.ptown67.de
| Based on members.php by Digitanium
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."nickpage_panel/infusion_db.php";
include INFUSIONS."nickpage_panel/includes/nickpage_functions.php";

if (file_exists(INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nickpage_panel/locale/German.php";
};

opentable($locale['np600']);

$search = array(
		"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
		"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
	);
	echo "<table cellpadding='0' cellspacing='1' class='tbl-border center'>\n<tr>\n";
	echo "<td rowspan='2' class='tbl1'><a href='".FUSION_SELF."?sortby=all'>".$locale['np602']."</a></td>";
	for ($i = 0; $i < 36 != ""; $i++) {
		echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
		echo ($i == 17 ? "<td rowspan='2' class='tbl1'><a href='".FUSION_SELF."?sortby=all'>".$locale['np602']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
	echo "</tr>\n</table>\n<hr />\n";

	if (!isset($_GET['sortby']) || !preg_match("/^[0-9A-Z]$/", $_GET['sortby'])) { $_GET['sortby'] = "all"; }
	$orderby = ($_GET['sortby'] == "all" ? "" : " WHERE user_name LIKE '".stripinput($_GET['sortby'])."%'");
	$result = dbquery("SELECT * FROM ".DB_USERS." INNER JOIN ".DB_NICKPAGE." ON user_id = nickpage_uid".$orderby."");
	$rows = dbrows($result);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$i = 0;
		echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
		echo "<td class='tbl1'><strong>".$locale['np603']."</strong></td>\n";
		echo "<td class='tbl1'><strong>".$locale['np604']."</strong></td>\n";
		echo "<td class='tbl1' width='1%' align='center'><strong>".$locale['np605']."</strong></td>\n";
		echo "<td class='tbl1' width='1%'><strong>".$locale['np606']."</strong></td>\n";
		echo "</tr>\n";
		$result2 = dbquery("SELECT * FROM ".DB_USERS." INNER JOIN ".DB_NICKPAGE." ON user_id = nickpage_uid".$orderby." ORDER BY user_level DESC, user_name LIMIT ".$_GET['rowstart'].",20");
		while ($data = dbarray($result2)) {
		
      $result3 = dbquery("SELECT * FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$data['user_id']."'");
      $nickpage = dbarray($result3);

      if ($nickpage['nickpage_uid'] == $data['user_id']) {
			echo "<tr>\n<td class='tbl1'>\n<a href='".BASEDIR."nickpage.php?user=".$data['user_id']."'>".$data['user_name']."</a></td>\n";
			echo "<td class='tbl1'>\n";
			if ($nickpage['nickpage_title'] != $data['user_name']) $title = $nickpage['nickpage_title'];
			else $title = "-";
			echo $title;
			echo "</td>\n";
			echo "<td class='tbl1'>".totalrating($nickpage['nickpage_id'])."</td>\n";
			echo "<td class='tbl1' align='center'>".$nickpage['nickpage_count']."</td>\n";
			echo "</tr>";
		}
		}
		echo "</table>\n"; 
	} else {
		echo "<center><br />\n".$locale['np601']." <strong>".$_GET['sortby']."</strong> ".$locale['np607']."<br /><br />\n</center>\n";
	}

closetable();
if ($rows > 20) { echo "<div align='center' style='margin-top:5px;'>".makepagenav($_GET['rowstart'], 20, $rows, 3, FUSION_SELF."?sortby=".$_GET['sortby']."&amp;")."</div>\n"; }

require_once THEMES."templates/footer.php";
?>