<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: nickpage.php
| Copyright  2009 ptown67
| http://www.ptown67.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
include INFUSIONS."nickpage_panel/infusion_db.php";
require_once INFUSIONS."nickpage_panel/includes/nickpage_functions.php";
require_once INCLUDES."output_handling_include.php";
require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nickpage_panel/locale/German.php";
}

if ($settings['maintenance'] == "1" && !iADMIN) { redirect(BASEDIR."maintenance.php"); }
if (!isset($_GET['user']) || !isnum($_GET['user'])) { redirect ("index.php"); }

$user = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$_GET['user']."'");
if (dbrows($user)) { $user_data = dbarray($user); } else { redirect("index.php"); }
if ($user_data['user_status'] > "0") { redirect("index.php"); }
$nickpage = dbquery("SELECT * FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$_GET['user']."'");
if (dbrows($nickpage)) { $page_data = dbarray($nickpage); } else { redirect("index.php"); }
if (!isset($_COOKIE[COOKIE_PREFIX."_nickpage".$page_data['nickpage_id']."_visited"])) {
$result = dbquery("UPDATE ".DB_NICKPAGE." SET nickpage_count=nickpage_count+1 WHERE nickpage_uid='".$_GET['user']."'");
setcookie(COOKIE_PREFIX."_nickpage".$page_data['nickpage_id']."_visited", "yes", time() + 86400, "/", "", "0");
}

if(isset($_POST['update'])) {
$title = trim(stripinput(censorwords($_POST['title'])));
$content = trim(stripinput(censorwords($_POST['content'])));
$result = dbquery("UPDATE ".DB_NICKPAGE." SET nickpage_title='".$title."', nickpage_theme='".$_POST['theme']."', nickpage_content='".$content."', nickpage_update='".time()."' WHERE nickpage_id='".$page_data['nickpage_id']."'");
redirect ("nickpage.php?user=".$userdata['user_id']);
}

// HTML-Header
echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>\n";
echo "<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='".$locale['xml_lang']."' lang='".$locale['xml_lang']."'>\n";
echo "<head>\n<title>".$settings['sitename']." - ".$locale['np200']." - ".$user_data['user_name']."</title>\n";
echo "<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />\n";
echo "<meta name='description' content='".$settings['description']."' />\n";
echo "<meta name='keywords' content='".$settings['keywords']."' />\n";
echo "<link rel='stylesheet' href='".INFUSIONS."nickpage_panel/themes/".$page_data['nickpage_theme']."/styles.css' type='text/css' media='screen' />\n";
echo "<link rel='stylesheet' type='text/css' href='".INFUSIONS."nickpage_panel/includes/ratings_include/css/rating.css' />\n";
echo "<link rel='shortcut icon' href='".IMAGES."favicon.ico' type='image/x-icon' />\n";
echo "<script type='text/javascript' src='".INCLUDES."jscript.js'></script>\n";
require_once INFUSIONS."nickpage_panel/includes/serverzeit.php";
echo "</head>\n<body onload='UhrzeitAnzeigen();'>\n";

// Container
echo "<table cellpadding='0' cellspacing='0' align='center' class='container'>\n<tr>\n<td>\n";

// Innerer Container
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
echo "<td class='c-top-left'></td>\n";
echo "<td class='c-top'></td>\n";
echo "<td class='c-top-right'></td>\n</tr>\n<tr>\n";
echo "<td class='c-mid-left'></td>\n";
echo "<td class='c-mid'>\n";

// Header
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
echo "<td class='top-left'></td>\n";
echo "<td class='top' align='left' style='border-right:0px'>".$page_data['nickpage_title']." - ".$locale['np200']."</td>\n";
echo "<td class='top' align='right' style='border-left:0px'>".date('d.m.Y')." - <span id='Uhrzeit'></span></td>\n";
echo "<td class='top-right'></td>\n";
echo "</tr>\n</table>\n";

// Benutzer-Infos
echo "<table cellpadding='0' cellspacing='0' width='100%' class='userinfo'>\n<tr>\n";
if ($user_data['user_avatar'] && file_exists(IMAGES."avatars/".$user_data['user_avatar'])) {
echo "<td width='1%'><img src='".IMAGES."avatars/".$user_data['user_avatar']."' alt='' /></td>\n";
} else {
echo "<td width='1%'><img src='".INFUSIONS."nickpage_panel/images/noav.png' alt='' /></td>\n";
}
echo "<td valign='top'>";
echo "<table cellpadding='5' cellspacing='0' width='100%'>\n<tr>\n";
echo "<td width='1%' style='white-space:nowrap'>".$locale['np201']."</td>\n";
echo "<td align='right'><a href='".BASEDIR."profile.php?lookup=".$user_data['user_id']."'>".$user_data['user_name']."</a></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='1%' style='white-space:nowrap'>".$locale['np202']."</td>\n";
echo "<td align='right'>".getuserlevel($user_data['user_level'])."</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td width='1%' style='white-space:nowrap'>".$locale['np203']."</td>\n";
echo "<td align='right'>".showdate("longdate", $page_data['nickpage_update'])."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='1%' style='white-space:nowrap'>".$locale['np204']."</td>\n";
echo "<td align='right'>".totalrating($page_data['nickpage_id'])."</td>\n";
echo "</tr>\n</table>\n";
echo "</td>\n</tr>\n";
echo "</table>\n";

// Navigation
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
echo "<td class='navigation-left'></td>\n";
echo "<td class='navigation' style='border-right:0px'>\n";
if (iGUEST) echo "<a href='".BASEDIR."login.php'>".$locale['np205']."</a> :: ";
if ($settings['enable_registration'] && iGUEST) echo "<a href='".BASEDIR."register.php'>".$locale['np206']."</a> :: ";
if (iMEMBER && $page_data['nickpage_uid'] != $userdata['user_id'] && dbrows(dbquery("SELECT * FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$userdata['user_id']."'"))) echo "<a href='".BASEDIR."nickpage.php?user=".$userdata['user_id']."'>".$locale['np207']."</a> :: ";
if (iMEMBER && $page_data['nickpage_uid'] == $userdata['user_id']) {
if (isset($_GET['mode']) && ($_GET['mode'] == "edit")) {
echo "<a href='".BASEDIR."nickpage.php?user=".$userdata['user_id']."'>".$locale['np218']."</a> :: ";
} else {
echo "<a href='".BASEDIR."nickpage.php?user=".$userdata['user_id']."&mode=edit'>".$locale['np217']."</a> :: ";
}
echo "<a href='".INFUSIONS."nickpage_panel/edit_nickpage.php'>".$locale['np208']."</a> :: ";
}
echo " <a href='".INFUSIONS."nickpage_panel/nickpage_index.php'>".$locale['np209']."</a> :: ";
echo "<a href='".$settings['siteurl']."'>".$locale['np210']." ".$settings['sitename']."</a>";
if (iMEMBER) echo " :: <a href='".BASEDIR."setuser.php?logout=yes'>".$locale['np211']."</a>";
echo "</td>\n";
echo "<td align='right' class='navigation' style='border-left:0px'>\n";
if (iADMIN && checkrights("PNP")) {
echo "[<a href='".INFUSIONS."nickpage_panel/nickpage_admin.php".$aidlink."&user=".$page_data['nickpage_uid']."'>".$locale['np212']."</a>]\n";
}
echo "</td>\n";
echo "<td class='navigation-right'></td>\n";
echo "</tr>\n</table>\n";

// Nickpage Content
echo "<table cellpadding='0' cellspacing='0' width='100%' class='content'>\n<tr>\n<td>\n";
if (isset($_GET['mode']) && ($_GET['mode'] == "edit") && ($page_data['nickpage_uid'] == $userdata['user_id'])) {
echo "<form name='nickpage' method='post' action=''>";
echo "<table cellpadding='1' cellspacing='0' width='100%' align='center'>\n";
echo "<tr>\n<td align='left' style='padding-left:4px;padding-bottom:4px'>\n";
echo $locale['np702']." <input type='text' name='title' size='40' class='textbox' value='".$page_data['nickpage_title']."'/>";
echo "</td>\n<td align='right' style='padding-right:4px;padding-bottom:4px'>\n";
$themes = makefilelist(INFUSIONS."nickpage_panel/themes/", ".|..", true, "folders");
echo $locale['np703']." <select name='theme' class='textbox'>\n";
echo makefileopts($themes, $page_data['nickpage_theme'])."\n";
echo "</select>\n";
echo "</td>\n</tr>\n";
echo "<tr>\n<td align='center' colspan='2'>\n";
echo "<textarea name='content' style='width:99%;height:400px' class='textbox'>";
echo $page_data['nickpage_content'];
echo "</textarea>";
echo "</td>\n</tr>\n";
echo "<tr>\n<td align='left' style='padding-left:4px' colspan='2'>\n";
echo display_bbcodes("600px", "content", "nickpage");
echo "</td>\n</tr>\n";
echo "<tr>\n<td align='right' style='padding-right:4px' colspan='2'>\n";
echo "<input type='submit' name='update' class='button' value='".$locale['np721']."'>";
echo "</td>\n</tr>\n</table>\n";
echo "</form>\n</td>\n";
} else {
if ($page_data['nickpage_content'] != '') {

$content = $page_data['nickpage_content'];
$content = preg_replace("#\[img\]((http|ftp|https|ftps)://)(.*?)(\.(jpg|jpeg|gif|png|JPG|JPEG|GIF|PNG))\[/img\]#sie","'<span style=\'overflow: auto;\' /><img src=\'\\1'.str_replace(array('?','&amp;','&','='),'','\\3').'\\4\' alt=\'\\3\\4\' style=\'border:0px\' /></span>'",$content);
echo parseubb(parsesmileys(nl2br($content)));

} else {
echo "<br /><center>".$locale['np213']."</center><br />";
}
}
echo "</td>\n</tr>\n</table>\n";

// Bewertung
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
echo "<td class='navigation-left'></td>\n";
echo "<td class='navigation'>\n";
echo $locale['np214']."</td>\n";
echo "<td class='navigation-right'></td>\n";
echo "</tr>\n</table>\n";
echo "<table cellpadding='0' cellspacing='0' width='100%' class='ratings'>\n<tr>\n<td>\n";
require_once INFUSIONS."nickpage_panel/includes/ratings_include.php";
showratings("Z", $page_data['nickpage_id'], FUSION_SELF."?user=".$page_data['nickpage_uid']);
echo "</td>\n</tr>\n</table>\n";

// Kommentare
if ($page_data['nickpage_comments'] == "1") {
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
echo "<td class='navigation-left'></td>\n";
echo "<td class='navigation' style='border-right:0px'>".$locale['np215']."</td>\n";
echo "<td class='navigation' align='right' style='border-left:0px'>";
if (iADMIN && checkrights("C")) {
echo " [<a href='".ADMIN."comments.php".$aidlink."&amp;ctype=NP&amp;cid=".$page_data['nickpage_id']."'>".$locale['np212']."</a>]\n";
}
echo "</td>\n";
echo "<td class='navigation-right'></td>\n";
echo "</tr>\n</table>\n";
echo "<table cellpadding='0' cellspacing='0' width='100%' class='comments'>\n<tr>\n<td>\n";
require_once INFUSIONS."nickpage_panel/includes/comments_include.php";
showcomments("NP", DB_NICKPAGE, "nickpage_id", $page_data['nickpage_id'], FUSION_SELF."?user=".$page_data['nickpage_uid']);
echo "</td>\n</tr>\n</table>\n";
}

// Das NickPage-Copyright darf nicht entfernt werden! // Do not remove the NickPage-Copyright!
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
echo "<td class='footer-left'></td>\n";
echo "<td class='footer' align='left' style='border-right:0px'>".$locale['np100']." &copy; 2009 by <a href='http://www.ptown67.de' class='white' target='_blank'>ptown67</a></td>\n";
echo "<td class='footer' align='right' style='border-left:0px'>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))." :: ".$page_data['nickpage_count']." ".$locale['np216']."</td>\n";
echo "<td class='footer-right'></td>\n";
echo "</tr>\n</table>\n";

// Innerer Container
echo "</td>\n";
echo "<td class='c-mid-right'></td>\n</tr>\n<tr>\n";
echo "<td class='c-bottom-left'></td>\n";
echo "<td class='c-bottom'></td>\n";
echo "<td class='c-bottom-right'></td>\n";
echo "</tr>\n</table>\n";

// Container Close
echo "</td>\n</tr>\n</table>\n";

//Footermain
echo "<table align='center' class='footermain'>\n<tr>\n<td>\n<center>\n";

// Das Theme-Copyright darf nicht entfernt werden! // Do not remove the Theme-Copyright!
if (file_exists(INFUSIONS."nickpage_panel/themes/".$page_data['nickpage_theme']."/info.php")) {
require_once INFUSIONS."nickpage_panel/themes/".$page_data['nickpage_theme']."/info.php";
if ($theme_copyright != "") echo $theme_copyright."<br /><br />";
}

// Das PHPFusion-Copyright darf nicht entfernt werden! // Do not remove the PHPFusion-Copyright!
echo "Powered by <a href='http://www.php-fusion.co.uk'>PHP-Fusion</a> copyright &copy; 2002 - ".date("Y")." by Nick Jones.<br />\n";
echo "Released as free software without warranties under <a href='http://www.fsf.org/licensing/licenses/agpl-3.0.html'>GNU Affero GPL</a> v3.<br />\n";
echo "</center>\n</td>\n</tr>\n</table>\n";
echo "</body>\n</html>\n";
?>